# USER_COMMAND_FILE  =  gmosetting.py
# sudo gedit /usr/lib/python3/dist-packages/gladevcp/hal_sourceview.py

icon_configs = [
    # widget, named_icon, size
    # auto mode buttons
    ("img_open",            "open_file",                        40),
    ("img_reload1",         "refresh",                          40),
    ("img_run",             "play",                             40),
    ("img_stop",            "stop",                             40),
    ("img_pause",           "pause",                            40),
    ("img_pause_active",    "pause_active",                     48),
    ("img_step",            "step",                             48),
    ("img_run_from",        "run_from_line",                    48),
    ("img_editor",          "edit_code",                        48),
    ("img_skip_optional_active",    "skip_optional_active",     48),
    ("img_skip_optional_inactive",  "skip_optional_inactive",   48),
]

# default style context see TODO below
default_style = Gtk.Button().get_style_context()

failed_icons = 0
for widget_name, icon_name, size in icon_configs:
    try:
        image = self.widgets[widget_name]
        pixbuf = icon_theme_helper.load_symbolic_from_icon_theme(self.icon_theme, icon_name, size, default_style)
        image.set_from_pixbuf(pixbuf)
        image.set_size_request(size, size)
    except BaseException as err:
        LOG.warning(f"Failed to change icon for <{widget_name}> to '{icon_name}': {str(err)}")
        failed_icons += 1

self.widgets["gcode_view"].set_style_scheme("oblivion")
self.widgets["gcode_view"].add_mark_category('motion', '#1c1c1c')
